/*
 *   (C) COPYRIGHT Vincent S. Cojot and others 1996-1997
 *   All Rights Reserved
 *   Licensed Materials - Property of Vincent S. Cojot and others.
 *   Use, duplication or disclosure restricted by Vincent S. Cojot.
 */
#ifndef __LISTS_H
#define __LISTS_H

/* ------------------------------------------------*/
/* Ces fonctions servent a calculer La normale et le produit scalaire */
/* de deux vecteurs a deux dimensions (On approxime la troisieme */
/* Dimension car la lumiere est tres loin et on ne cherche pas a */
/* faire des ombres sur le sol. */
/* ------------------------------------------------*/

extern	void Normale1 (float, float, float, float, float *, float *);
extern	float ProduitScalaire (float, float, float, float);
extern	GLvoid Show_init_progress(GLvoid);
extern	GLfloat	RadarX,RadarY,RadarDiffX,RadarDiffY;

/* ------------------------------------------------*/
/* Definitions des fonctions du corps du programme */
/* ------------------------------------------------*/

GLvoid  initialize_lists (GLvoid);

#endif
